# Asterisk Project : Asterisk 13 Application_Gosub

Created by wikibot on Aug 08, 2014

# Gosub()

### Synopsis

Jump to label, saving return address.

### Description

Jumps to the label specified, saving the return address.

### Syntax

    Gosub([context,[exten,]]priority[(arg1,[...][argN]]))

##### Arguments

- `context`
- `exten`
- `priority`
  - `arg1`
  - `argN`

### See Also

- Asterisk 13 Application_GosubIf
- Asterisk 13 Application_Macro
- Asterisk 13 Application_Goto
- Asterisk 13 Application_Return
- Asterisk 13 Application_StackPop

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538